summaryrefslogtreecommitdiffstats
path: root/libraries/notify-python
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/notify-python')
-rw-r--r--libraries/notify-python/README4
-rw-r--r--libraries/notify-python/notify-python.SlackBuild50
-rw-r--r--libraries/notify-python/notify-python.info8
-rw-r--r--libraries/notify-python/slack-desc8
4 files changed, 70 insertions, 0 deletions
diff --git a/libraries/notify-python/README b/libraries/notify-python/README
new file mode 100644
index 0000000000..3a326ff19c
--- /dev/null
+++ b/libraries/notify-python/README
@@ -0,0 +1,4 @@
+notify-python is a python module to use libnotify.
+This requires libnotify and pygtk, both of which are available
+at SlackBuilds.org
+
diff --git a/libraries/notify-python/notify-python.SlackBuild b/libraries/notify-python/notify-python.SlackBuild
new file mode 100644
index 0000000000..0e69abd9af
--- /dev/null
+++ b/libraries/notify-python/notify-python.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware build script for notify-python
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+PRGNAM=notify-python
+VERSION=0.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/notify-python/notify-python.info b/libraries/notify-python/notify-python.info
new file mode 100644
index 0000000000..28cce3304a
--- /dev/null
+++ b/libraries/notify-python/notify-python.info
@@ -0,0 +1,8 @@
+PRGNAM="notify-python"
+VERSION="0.1.1"
+HOMEPAGE="http://www.galago-project.org/"
+DOWNLOAD="http://www.galago-project.org/files/releases/source/notify-python/notify-python-0.1.1.tar.bz2"
+MD5SUM="d247cf79b46cef7495deb0a76334f81d"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/libraries/notify-python/slack-desc b/libraries/notify-python/slack-desc
new file mode 100644
index 0000000000..30372260ad
--- /dev/null
+++ b/libraries/notify-python/slack-desc
@@ -0,0 +1,8 @@
+notify-python: notify-python - Python module to use libnotify
+notify-python:
+notify-python: A python module to use libnotify
+notify-python:
+notify-python: http://www.galago-project.org/
+notify-python:
+notify-python:
+notify-python: